openmpi 1.6.x needs porting

Bug #1134820 reported by Dirk Mueller on 2013-02-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro AArch64 cross-distro work
High
Leif Lindholm
openmpi (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

configure ends with

[ 2381s] checking if .note.GNU-stack is needed... no
[ 2381s] checking suffix for labels... :
[ 2403s] checking prefix for global symbol labels...
[ 2411s] checking prefix for lsym labels... .L
[ 2415s] checking prefix for function in .type... @
[ 2418s] checking if .size is needed... yes
[ 2422s] checking if .align directive takes logarithmic value... yes
[ 2423s] configure: error: No atomic primitives available for aarch64-suse-linux-gnu
[ 2438s] error: Bad exit status from /var/tmp/rpm-tmp.EXYi2h (%build)

Riku Voipio (riku-voipio) wrote :

openmpi has many reverse dependencies, and as important for many clustering applications. This high priority for us.

Using libatomic-ops as example making atomic primitives for should be quite easy.

Changed in linaro-aarch64:
importance: Undecided → High
status: New → Triaged
Changed in linaro-aarch64:
assignee: nobody → Leif Lindholm (leif-lindholm)
Matthias Klose (doko) on 2013-10-15
tags: added: ftbfs
Dimitri John Ledkov (xnox) wrote :

arm64 support patches are in Debian and Ubuntu now.

Changed in openmpi (Ubuntu):
status: New → Fix Released
Changed in linaro-aarch64:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers